Debian Bug report logs - #185604
[PR c++/10199, fixed in 3.4] method parametrized by template does not work everywhere

version graph

Package: g++-3.3; Maintainer for g++-3.3 is (unknown);

Reported by: Thimo Neubauer <thimo@debian.org>

Date: Thu, 20 Mar 2003 15:18:05 UTC

Severity: important

Tags: fixed-upstream, upstream

Fixed in version gcc-4.0/4.0.1-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR10199

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#185604; Package g++-3.2. Full text and rfc822 format available.

Acknowledgement sent to Thimo Neubauer <thimo@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thimo Neubauer <thimo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: g++-3.2: method parametrized by template does not work everywhere
Date: Thu, 20 Mar 2003 16:08:28 +0100
Package: g++-3.2
Version: 1:3.2.3-0pre5
Severity: important

The following program is valid C++, but does not compile:

-- snip --

class X {
public:
  template<int d>
  int bar () {return d;}
};

template<int x>
int fooo ()
{
  return x;
}

template<class T>
void bar (T& g)
{
  int kk = fooo<17>();  // OK
  X x;
  int k = x.bar<17>();  // Not OK
}

int main ()
{
  X x;
  int k=x.bar<17>();    // OK
  int n;
  bar(n);
}

-- snip --

aylee /tmp> g++ error.cc 
error.cc: In function `void bar(T&) [with T = int]':
error.cc:26:   instantiated from here
error.cc:18: no matching function for call to `X::bar()'
Exit 1
aylee /tmp> g++ --version
g++ (GCC) 3.2.3 20030309 (Debian prerelease)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Depending on whether the method-call is made in main() or inside a
template-function it works or not... The Intel Compiler compiles the
source.

   Thimo    


-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux aylee 2.4.19 #2 Fre Nov 8 22:29:43 CET 2002 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages g++-3.2 depends on:
ii  gcc-3.2                    1:3.2.3-0pre5 The GNU C compiler
ii  gcc-3.2-base               1:3.2.3-0pre5 The GNU Compiler Collection (base 
ii  libc6                      2.3.1-14      GNU C Library: Shared libraries an
ii  libstdc++5-dev             1:3.2.3-0pre5 The GNU Standard C++ Library v3 (d




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#185604; Package g++-3.2. Full text and rfc822 format available.

Message #8 received at 185604@bugs.debian.org (full text, mbox):

From: gcc-gnats@gcc.gnu.org
To: 185604@bugs.debian.org
Subject: Re: c++/10199: [3.3 regression] method parametrized by template does not work everywhere
Date: 24 Mar 2003 06:36:00 -0000
Thank you very much for your problem report.
It has the internal identification `c++/10199'.
The individual assigned to look at your
report is: unassigned. 

>Category:       c++
>Responsible:    unassigned
>Synopsis:       [3.3 regression] method parametrized by template does not work everywhere
>Arrival-Date:   Mon Mar 24 06:36:00 UTC 2003



Noted your statement that Bug has been forwarded to gcc-gnats@gcc.gnu.org. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#185604; Package g++-3.2. Full text and rfc822 format available.

Acknowledgement sent to steven@gcc.gnu.org, 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org, thimo@debian.org, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 185604@bugs.debian.org (full text, mbox):

From: steven@gcc.gnu.org
To: 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org, thimo@debian.org
Subject: Re: c++/10199: [3.3 regression] method parametrized by template does not work everywhere
Date: 24 Mar 2003 10:15:36 -0000
Synopsis: [3.3 regression] method parametrized by template does not work everywhere

State-Changed-From-To: open->analyzed
State-Changed-By: steven
State-Changed-When: Mon Mar 24 10:15:36 2003
State-Changed-Why:
    Confirmed

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10199



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#185604; Package g++-3.2. Full text and rfc822 format available.

Acknowledgement sent to nathan@gcc.gnu.org, 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nathan@gcc.gnu.org, nobody@gcc.gnu.org, thimo@debian.org, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 185604@bugs.debian.org (full text, mbox):

From: nathan@gcc.gnu.org
To: 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nathan@gcc.gnu.org, nobody@gcc.gnu.org, thimo@debian.org
Subject: Re: c++/10199: [3.3 regression] method parametrized by template does not work everywhere
Date: 24 Mar 2003 13:41:03 -0000
Synopsis: [3.3 regression] method parametrized by template does not work everywhere

Responsible-Changed-From-To: unassigned->nathan
Responsible-Changed-By: nathan
Responsible-Changed-When: Mon Mar 24 13:41:03 2003
Responsible-Changed-Why:
    fixing

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10199



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org:
Bug#185604; Package g++-3.2. Full text and rfc822 format available.

Acknowledgement sent to nathan@gcc.gnu.org, 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nathan@gcc.gnu.org, thimo@debian.org, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #27 received at 185604@bugs.debian.org (full text, mbox):

From: nathan@gcc.gnu.org
To: 185604@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, nathan@gcc.gnu.org, thimo@debian.org
Subject: Re: c++/10199: [3.3 regression] method parametrized by template does not work everywhere
Date: 24 Mar 2003 18:39:38 -0000
Synopsis: [3.3 regression] method parametrized by template does not work everywhere

State-Changed-From-To: analyzed->closed
State-Changed-By: nathan
State-Changed-When: Mon Mar 24 18:39:37 2003
State-Changed-Why:
    2003-03-24  Nathan Sidwell  <nathan@codesourcery.com>
    
    	PR c++/10199
    	* call.c (build_method_call): Deal with LOOKUP_EXPR.
    	* semantics.c (finish_object_call_expr): Use build_method_call
    	when in a template decl.

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10199



Forwarded-to-address changed from gcc-gnats@gcc.gnu.org to http://gcc.gnu.org/PR10199. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `g++-3.2' to `g++-3.3'. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Falk Hueffner <falk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thimo Neubauer <thimo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 185604-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 185604-close@bugs.debian.org
Subject: Bug#185604: fixed in gcc-4.0 4.0.1-1
Date: Sun, 10 Jul 2005 13:47:38 -0400
Source: gcc-4.0
Source-Version: 4.0.1-1

We believe that the bug you reported is fixed in the latest version of
gcc-4.0, which is due to be installed in the Debian FTP archive:

cpp-4.0-doc_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/cpp-4.0-doc_4.0.1-1_all.deb
cpp-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/cpp-4.0_4.0.1-1_i386.deb
fastjar_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/fastjar_4.0.1-1_i386.deb
fixincludes_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/fixincludes_4.0.1-1_i386.deb
g++-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/g++-4.0_4.0.1-1_i386.deb
gcc-4.0-base_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gcc-4.0-base_4.0.1-1_i386.deb
gcc-4.0-doc_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/gcc-4.0-doc_4.0.1-1_all.deb
gcc-4.0-locales_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/gcc-4.0-locales_4.0.1-1_all.deb
gcc-4.0_4.0.1-1.diff.gz
  to pool/main/g/gcc-4.0/gcc-4.0_4.0.1-1.diff.gz
gcc-4.0_4.0.1-1.dsc
  to pool/main/g/gcc-4.0/gcc-4.0_4.0.1-1.dsc
gcc-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gcc-4.0_4.0.1-1_i386.deb
gcc-4.0_4.0.1.orig.tar.gz
  to pool/main/g/gcc-4.0/gcc-4.0_4.0.1.orig.tar.gz
gcj-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gcj-4.0_4.0.1-1_i386.deb
gfortran-4.0-doc_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/gfortran-4.0-doc_4.0.1-1_all.deb
gfortran-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gfortran-4.0_4.0.1-1_i386.deb
gij-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gij-4.0_4.0.1-1_i386.deb
gnat-4.0-doc_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/gnat-4.0-doc_4.0.1-1_all.deb
gnat-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gnat-4.0_4.0.1-1_i386.deb
gobjc-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/gobjc-4.0_4.0.1-1_i386.deb
lib64gcc1_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/lib64gcc1_4.0.1-1_i386.deb
lib64stdc++6-4.0-dbg_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/lib64stdc++6-4.0-dbg_4.0.1-1_i386.deb
lib64stdc++6_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/lib64stdc++6_4.0.1-1_i386.deb
libffi4-dev_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libffi4-dev_4.0.1-1_i386.deb
libffi4_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libffi4_4.0.1-1_i386.deb
libgcc1_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgcc1_4.0.1-1_i386.deb
libgcj-common_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/libgcj-common_4.0.1-1_all.deb
libgcj6-awt_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgcj6-awt_4.0.1-1_i386.deb
libgcj6-common_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/libgcj6-common_4.0.1-1_all.deb
libgcj6-dbg_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgcj6-dbg_4.0.1-1_i386.deb
libgcj6-dev_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgcj6-dev_4.0.1-1_i386.deb
libgcj6-src_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/libgcj6-src_4.0.1-1_all.deb
libgcj6_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgcj6_4.0.1-1_i386.deb
libgfortran0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgfortran0_4.0.1-1_i386.deb
libgnat-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libgnat-4.0_4.0.1-1_i386.deb
libmudflap0-dev_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libmudflap0-dev_4.0.1-1_i386.deb
libmudflap0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libmudflap0_4.0.1-1_i386.deb
libobjc1_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libobjc1_4.0.1-1_i386.deb
libstdc++6-4.0-dbg_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libstdc++6-4.0-dbg_4.0.1-1_i386.deb
libstdc++6-4.0-dev_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libstdc++6-4.0-dev_4.0.1-1_i386.deb
libstdc++6-4.0-doc_4.0.1-1_all.deb
  to pool/main/g/gcc-4.0/libstdc++6-4.0-doc_4.0.1-1_all.deb
libstdc++6-4.0-pic_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libstdc++6-4.0-pic_4.0.1-1_i386.deb
libstdc++6_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/libstdc++6_4.0.1-1_i386.deb
protoize_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/protoize_4.0.1-1_i386.deb
treelang-4.0_4.0.1-1_i386.deb
  to pool/main/g/gcc-4.0/treelang-4.0_4.0.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 185604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  9 Jul 2005 17:10:54 +0000
Source: gcc-4.0
Binary: gcc-4.0-base libstdc++6 lib32ffi4 lib32gcj6-dev libobjc1 libgcc1 libgcj6-dev libgcj6-awt gpc-2.1-4.0 gcc-4.0-nof libstdc++6-4.0-dev lib32stdc++6-4.0-dbg libgcc2 lib64gnat-4.0 lib32gcj6 gpc-2.1-4.0-doc protoize lib64gcj6 treelang-4.0 libgnat-4.0 libstdc++6-4.0-dbg gcc-4.0-doc lib64stdc++6 libffi4 lib64gcj6-awt gfortran-4.0-doc g++-4.0 libgcj6-src lib64ffi4 gcj-4.0 lib32gcc1 lib64stdc++6-4.0-dbg libgfortran0 gobjc-4.0 lib64objc1 cpp-4.0 gcc-4.0-soft-float gcc-4.0 gfortran-4.0 gcc-4.0-locales libffi4-dev libgcj6 gnat-4.0-doc libgfortran0-dev libgcj-common libgcj6-common libstdc++6-4.0-pic cpp-4.0-doc lib64gcc1 fastjar gcc-4.0-hppa64 gij-4.0 fixincludes libmudflap0-dev libstdc++6-4.0-doc lib32stdc++6 gnat-4.0 libmudflap0 lib32gcj6-dbg libgcj6-dbg
Architecture: source i386 all
Version: 4.0.1-1
Distribution: unstable
Urgency: high
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.0    - The GNU C preprocessor
 cpp-4.0-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-4.0    - The GNU C++ compiler
 gcc-4.0    - The GNU C compiler
 gcc-4.0-base - The GNU Compiler Collection (base package)
 gcc-4.0-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcc-4.0-locales - The GNU C compiler (native language support files)
 gcj-4.0    - The GNU compiler for Java(TM)
 gfortran-4.0 - The GNU Fortran 95 compiler
 gfortran-4.0-doc - Documentation for the GNU Fortran compiler (gfortran)
 gij-4.0    - The GNU Java bytecode interpreter
 gnat-4.0   - The GNU Ada compiler
 gnat-4.0-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-4.0  - The GNU Objective-C compiler
 lib64gcc1  - GCC support library (64bit)
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.0-dbg - The GNU Standard C++ Library v3 (debugging files)
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj6    - Java runtime library for use with gcj
 libgcj6-awt - AWT peer runtime libraries for use with gcj
 libgcj6-common - Java runtime library for use with gcj (jar files)
 libgcj6-dbg - Debugging symbols for libraries provided in libgcj6-dev
 libgcj6-dev - Java development headers and static library for use with gcj
 libgcj6-src - libgcj java sources for use in eclipse
 libgfortran0 - Runtime library for GNU Fortran applications
 libgnat-4.0 - Runtime library for GNU Ada applications
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-dev - GCC mudflap support libraries (development files)
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.0-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.0-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.0-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.0-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.0 - The GNU Treelang compiler
Closes: 42946 67206 73065 94701 105309 117765 121282 126703 128993 138561 152501 153472 164872 166940 169862 175478 176101 177303 185604 187091 192135 192568 194345 194513 195480 195483 196380 196600 197504 197674 198042 198261 200011 200140 200392 202016 203212 204407 205404 208981 209152 210844 212260 216105 217360 218219 218803 220000 224413 225346 225621 225935 226148 226244 227129 227518 228018 229642 232709 234709 234711 238432 242158 242318 242916 243507 246031 246639 248432 249108 250174 252764 254626 254659 255801 257012 259789 260710 262441 262934 262956 266110 270620 270795 270854 275547 275655 276291 277206 280910 281445 281602 281847 283503 285238 285364 285692 286715 288555 291374 292958 292961 293076 293957 294560 298263 298508 301983 305344 306854 307993 308367 311128
Changes: 
 gcc-4.0 (4.0.1-1) unstable; urgency=high
 .
   * GCC 4.0.1 final release.  See /usr/share/doc/gcc-4.0/NEWS.{gcc,html}.
   * Build fastjar on mips/mipsel, fix fastjar build without building java.
   * Disable the comparision check on unstable/ia64. adaint.o differs,
     currently cannot be reproduced with glibc-2.3.5 and binutils-2.16.1.
   * libffi/hppa: Fix handling of 3 and 5-7 byte struct returns.
   * amd64: Fix libgcc symlinks to point to /usr/lib32, instead of /lib32.
   * On powerpc, don't build with -j >1, apparently doesn't succeeds
     on the Debian buildd.
   * Apply revised patch to make -mieee the default on alpha-linux,
     and add -mieee-disable switch to turn the default off (Tyson Whitehead).
   * Disable multiarch-includes; redo biarch-includes to include the paths
     for the non-default biarch, when called with -m32/-m64.
   * Move new java headers from libstdc++-dev to libgcj-dev, add replaces
     line.
   * Update classpath patch to work with cairo-0.5.1. Patch provided by
     Michael Koch.
   * Further classpath updates for gnu.xml and javax.swing.text.html.
     Patch provided by Michael Koch.
   * Require binutils (>= 2.16.1) as a build dependency and a dependency.
   * On i386, require amd64-libs-dev (>= 1.2).
   * Update debian/NEWS.{html,gcc}.
 .
   * Closing bug reports reported against older gcc versions (some of them
     still present in Debian, but not anymore as the default compiler).
     Usually, forwarded bug reports are linked to
         http://gcc.gnu.org/PR<upstream bug number>
     The upstream bug number usually can be found in the Debian reports.
 .
   * Closed reports reported against gcc-3.3 and fixed in gcc-3.4:
     - General:
       + PR rtl-optimization/2960: Duplicate loop conditions even with -Os
         Closes: #94701.
       + PR optimization/3995: i386 optimisation: joining tests.
         Closes: #105309.
       + PR rtl-optimization/11635: Unnecessary store onto stack, more
         curefully expand union cast (closes: #202016).
       + PR target/7618: vararg disallowed in virtual function. Closes: #205404.
       + Large array problem on 64 bit platforms (closes: #209152).
       + Mark more strings as translatable (closes: #227129).
       + PR gcc/14711: ICE when compiling a huge source file Closes: #234711.
       + Better code generation for if(!p) return NULL;return p;
         Closes: #242318.
       + PR rtl-optimization/16152: Perl ftbfs on {ia64,arm,m68k}-linux.
         Closes: #255801.
       + ICE (segfault) while compiling Linux 2.6.9 (closes: #277206).
       + Link error building memtest (closes: #281445).
     - Ada:
       + PR ada/12450: Constraint error for valid input (closes: #210844).
       + PR ada/13620: miscompilation of array initializer with
         -O3 -fprofile-arcs. Closes: #226244.
     - C:
       + PR c/6897: Code produced with -fPIC reserves EBX, but compiles
         bad __asm__ anyway (closes: #73065).
       + PR c/9209: On i386, gcc-3.0 allows $ in indentifiers but not the asm.
         Closes: #121282.
       + PR c/11943: Accepts invalid declaration "int x[2, 3];" in C99 mode.
         Closes: #177303.
       + PR c/11942: restrict keyword broken in C99 mode. Closes: #187091.
       + PR other/11370: -Wunreachable-code gives false complaints.
         Closes: #196600.
       + PR c/11369: Too relaxed checking with -Wstrict-prototypes.
         Closes: #197504.
       + PR c/11445: False positive warning with -Wunreachable-code.
         Closes: #200140.
       + PR c/11459: -stdc=c90 -pedantic warns about C90's non long-long
          support when in C99 mode. Closes: #200392.
       + PR c/456: Handling of constant expressions. Closes: #225935.
       + ICE on invalid #define with -traditional (closes: #242916).
       + No warning when initializing a variable with itself, new option
         -Winit-self (closes: #293957).
     - C++:
       + C++ parse error (closes: #42946).
       + PR libstdc++/9073: Replacement for __STL_ASSERTIONS (libstdc++v3
         debug mode). Closes: #128993.
       + Parse errors in nested constructor calls (closes: #138561).
       + PR optimization/1823: -ftrapv aborts with pointer difference due to
         division optimization. Closes: #169862.
       + ICE on invalid code (closes: #176101).
       + PR c++/10199: ICE handling method parametrized by template.
         Closes: #185604.
       + High memory usage building packages OpenOffice.org and MythTV.
         Closes: #194345, #194513.
       + Improved documentation of std::lower_bound (closes: #196380).
       + ICE in regenerate_decl_from_template (closes: #197674).
       + PR c++/11444: Function fails to propagate up class tree
         (template-related).  Closes: #198042.
       + ICE when using namespaced typedef of primitive type as struct.
         Closes: #198261.
       + Bug using streambuf / iostream to read from a named pipe.
         Closes: #216105.
       + PR c++/11437: ICE in lookup_name_real (closes: #200011).
       + Add large file support (LFS) in libstdc++ (closes: #220000).
       + PR c++/13621: ICE compiling a statement expression returning type
         string (closes: #224413).
       + g++ doesn't find inherited inner class after template instantiation.
         Closes: #227518.
       + PR libstdc++/13928: Add whatis info in man pages generated by doxygen.
         Closes: #229642.
       + Missing symbol _M_setstate in libstdc++ (closes: #232709).
       + Unable to parse declaration of inline constructor explicit
         specialization (closes: #234709).
       + ICE (segfault) on invalid C++ code (closes: #246031).
       + ICE in lookup_tempate_function (closes: #262441).
       + Undefined symbols in libstdc++, when using specials char_traits.
         Closes: #266110.
       + PR libstdc++/16011: Outputting numbers with ostream in the locale fr_BE
         causes infinite recursion (closes: #270795).
       + ICE in tree_low_cst (closes: #276291).
       + ICE in in expand_call (closes: #283503).
       + typeof operator is misparsed in a template function (closes: #288555).
       + ICE in tree_low_cs (closes: #291374).
       + Improve uninformative error messages (closes: #292961, #293076).
       + ICE on array initialization (closes: #294560).
       + Failure to build xine-lib with -finline-functions (closes: #306854).
     - Java:
       + Fix error finding files in subdirectories (closes: #195480).
       + Implement java.text.CollationElementIterator lacks getOffset().
         Closes: #259789.
     - Treelang:
       + Pointer truncation on 64bit architectures (closes: #308367).
     - Architecture specific:
       - alpha
         + PR debug/10695: ICE on alpha while building agistudio.
           Closes: #192568.
         + ICE when building fceu (closes: #228018, #252764).
       - amd64
         + Miscompilation of Objective-C code (closes: #250174).
         + g++ hangs compiling k3d on amd64 (closes: #285364).
       - arm
         + PR target/19008: gcc -O3 -fPIC produces wrong code via auto inlining.
           Closes: #285238.
       - i386
         + PR target/4106: i386 -fPIC asm ebx clobber no error.
           Closes: #153472.
         + PR target/10984: x86/sse2 ICEs on vector intrinsics. Closes: #166940.
         + Wrong code generation on at least ix86 (closes: #275655).
       - m68k
         + PR target/9201: ICE compiling octave-2.1 (closes: #175478).
         + ICE in verify_initial_elim_offsets (closes: #204407, #257012).
         + g77 generates invalid assembly code (closes: #225621).
         + ICE in verify_local_live_at_start (closes #245584).
       - powerpc
         + PR optimization/12828: -floop-optimize is unstable on PowerPC (float
           to int conversion problem). Closes: #218219.
         + PR target/13619: ICE building altivec code in ffmpeg.
           Closes: #226148.
         + PR target/20046: Miscompilation of bind 9.3.0. Closes: #292958.
       - sparc
         + ICE (segfault) while building atlas3 on sparc32 (closes: #249108).
         + Wrong optimization on sparc32 when building linux kernel.
           Closes: #254626.
 .
   * Closed reports reported against gcc-3.3 or gcc-3.4 and fixed in gcc-4.0:
     - General:
       + PR rtl-optimization/6901: Optimizer improvement (removing unused
         local variables). Closes: #67206.
       + PR middle-end/179: Failure to detect use of unitialized variable
         with -O -Wall. Closes: #117765.
       + ICE building glibc's nptl on amd64 (closes: #260710, #307993).
       + PR middle-end/17827: ICE in make_decl_rtl. Closes: #270854.
       + PR middle-end/21709: ICE on compile-time complex NaN. Closes: #305344.
     - Ada:
       + PR ada/10889: Convention Fortran matrices mishandled in generics.
         Closes: #192135.
       + PR ada/13897: Implement tasking on powerpc. Closes: #225346.
     - C:
       + PR c/13072: Bogus warning with VLA in switch. Closes: #218803.
       + PR c/13519: typeof(nonconst+const) is const. Closes: #208981.
       + PR c/12867: Incorrect warning message (void format, should be void*
         format). Closes: #217360.
       + PR c/16066: PR 16066] i386 loop strength reduction bug.
         Closes: #254659.
     - C++:
       + PR c++/13518: -Wnon-virtual-dtor doesn't always work. Closes: #212260.
       + PR translation/16025: ICE with unsupported locale(closes: #242158).
       + PR c++/15125: -Wformat doesn't warn for different types in fprintf.
         Closes: #243507.
       + PR c++/15214: Warn only if the dtor is non-private or the class has
         friends. (closes: #246639).
       + PR libstdc++/17218: Unknown subjects in generated libstdc++ manpages.
         Closes: #262934.
       + PR libstdc++/17223: Missing .so references in generated libstdc++
         manpages. Closes: #262956.
       + libstdc++-doc: Improve man pages (closes: #280910).
       + PR c++/19006: ICE in tree_low_cst. Closes: #285692.
       + g++ does not check arguments to fprintf. Closes: #281847.
     - Java:
       + PR java/7304: gcj ICE (closes: #152501).
       + PR libgcj/7305: Installation of headers not directly in /usr/include.
         Closes: #195483.
       + PR libgcj/11941: libgcj timezone handling (closes: #203212).
       + PR java/14709: gcj fails to wait for its child processes on exec().
         Closes: #238432.
       + PR libgcj/21703: gcj hangs when rapidly calling String.intern().
         Closes: #275547.
       + SocketChannel.get(ByteBuffer) returns 0 at EOF. Closes: #281602.
       + PR java/19711: gcj segfaults instead of reporting the ambiguous
         expression. Closes: #286715.
       + Static libgcj contains repeated archive members (closes: #298263).
     - Architecture specific:
       - alpha
         + Unaligned accesses with ?-operator (closes: #301983).
       - arm
         + Compilation error of glibc-2.3.4 on arm (closes: #298508).
       - m68k
         + ICE in add_insn_before (closes: #248432).
       - mips
         + Fix o32 ABI breakage in gcc 3.3/3.4 (closes: #270620).
       - powerpc
         + ICE in extract_insn (closes: #311128).
 .
   * Closing bug reports as wontfix:
     - g++ defines _GNU_SOURCE when using the libstdc++ header files.
       Behaviour did change since 3.0. Closes: #126703, #164872.
Files: 
 50e9b3d53fc5057eced1fe0ff8405988 3278 devel optional gcc-4.0_4.0.1-1.dsc
 7fedd0ac9b4cb1104b87fd75b02c6238 31687859 devel optional gcc-4.0_4.0.1.orig.tar.gz
 f7a771c59bc65ed3e25124a9e6d33f71 615254 devel optional gcc-4.0_4.0.1-1.diff.gz
 4312275fe99840a795341a978c3e5a9b 182506 doc optional cpp-4.0-doc_4.0.1-1_all.deb
 5605040f448850ff8307ac54609e6df1 3106094 libs optional libgcj6-common_4.0.1-1_all.deb
 476c0aea10b7659a4e7ab750ce77efa1 1168 libs optional libgcj-common_4.0.1-1_all.deb
 3853fe7e3bfedba3a015a0af11bfd9f0 6430360 libdevel optional libgcj6-src_4.0.1-1_all.deb
 dc2557ab0474bbc765843ecdcb090167 4836934 doc optional libstdc++6-4.0-doc_4.0.1-1_all.deb
 9ebb15f6e135fc02347b20f3123dc1db 89748 doc optional gfortran-4.0-doc_4.0.1-1_all.deb
 125cb3c63a517ae13e0c428b55576a36 942042 doc optional gnat-4.0-doc_4.0.1-1_all.deb
 c261af755c59179d37d2d3b8b6215516 1571844 doc optional gcc-4.0-doc_4.0.1-1_all.deb
 35ba271a40775bb2f2a456dd0eab9d1b 977808 devel optional gcc-4.0-locales_4.0.1-1_all.deb
 c5a161cae954223f41aebf7df3d468b7 173984 devel optional gcc-4.0-base_4.0.1-1_i386.deb
 39f2995f7ad6d029c1c87bb7b68d7634 89386 libs required libgcc1_4.0.1-1_i386.deb
 4043c7ea6401f228d7ee1126fab31c77 94644 libs optional lib64gcc1_4.0.1-1_i386.deb
 10fb4f19c8e5a53e5e22aef978a41628 2038058 interpreters optional cpp-4.0_4.0.1-1_i386.deb
 c53838b78ac279f05b10f57b31a1ba6f 27308 devel optional protoize_4.0.1-1_i386.deb
 60befa088850b31fd2e5ddf2047832f8 79518 devel optional fixincludes_4.0.1-1_i386.deb
 79b115b2d15f6b6b79be9f9950ef4d98 149798 libs optional libmudflap0_4.0.1-1_i386.deb
 d7975cbad6fa9b65e2b265a5df2ce914 95704 libdevel optional libmudflap0-dev_4.0.1-1_i386.deb
 c9f1c1eaa0a1c1208396d1c3e934c0ee 2081120 devel optional gobjc-4.0_4.0.1-1_i386.deb
 c6969d8cca3a1aeb44cd81a53e2253d5 117648 libs optional libobjc1_4.0.1-1_i386.deb
 47be93b40f1754afcb472c1257e0ed3e 27210 devel optional gij-4.0_4.0.1-1_i386.deb
 38c747d883727fc531ff3d70dfd3fe44 5094662 libs optional libgcj6_4.0.1-1_i386.deb
 c15f0a672e318fe6069e63c06ba266d3 213700 libs optional libgcj6-awt_4.0.1-1_i386.deb
 f4265a137642502e0c58a0cdf84df3cf 2466174 devel optional gcj-4.0_4.0.1-1_i386.deb
 b038399fc9b826f4726d357361017544 9892636 libdevel optional libgcj6-dev_4.0.1-1_i386.deb
 53b652ae418311ba3197e0e6216837d1 16711010 libdevel extra libgcj6-dbg_4.0.1-1_i386.deb
 cceb9f659cf41c718678327fc481e5ca 126010 devel optional fastjar_4.0.1-1_i386.deb
 d4ebbda62635430ac6fdcf7e514ee059 89030 libs optional libffi4_4.0.1-1_i386.deb
 615a510064b09a4ec58dd077e610d742 8946 libdevel optional libffi4-dev_4.0.1-1_i386.deb
 9fe52d4338c289d7f0fdfc111de85335 2321184 devel optional g++-4.0_4.0.1-1_i386.deb
 ac1808f32c0bcdea6167c400c3346831 352646 libs optional libstdc++6_4.0.1-1_i386.deb
 a2cf7bacde2ba6e3baa0b9a040ed7433 366244 libs optional lib64stdc++6_4.0.1-1_i386.deb
 7717916a4c35242f3abbac6802d825eb 8037880 libdevel extra lib64stdc++6-4.0-dbg_4.0.1-1_i386.deb
 49c70f93a0ccf43c1d68b69151fc5fde 1515866 libdevel optional libstdc++6-4.0-dev_4.0.1-1_i386.deb
 923c1ed1576170d74a295626dcdd091d 928896 libdevel extra libstdc++6-4.0-pic_4.0.1-1_i386.deb
 6ac8e91e42e9189e701a555ea6c96c3c 5352614 libdevel extra libstdc++6-4.0-dbg_4.0.1-1_i386.deb
 f3d84fb09efd4a42367cf49700f2c68b 108526 libs optional libgfortran0_4.0.1-1_i386.deb
 45313b3ea594d4e017c5182e6fc15786 2302612 devel optional gfortran-4.0_4.0.1-1_i386.deb
 1ab9ad251cabc2bb7e58c481563a9807 875306 libs optional libgnat-4.0_4.0.1-1_i386.deb
 6185b2ba174b00f94499d50edbd22a6e 9862160 devel optional gnat-4.0_4.0.1-1_i386.deb
 602ca39c126e8134b23e2b96076d04bd 1919890 devel optional treelang-4.0_4.0.1-1_i386.deb
 b2e0d05823cb8e87eb236b77a0348969 495046 devel optional gcc-4.0_4.0.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC0VbhStlRaw+TLJwRAhW/AJ4pZOj2kn+ZJAeDLoTnt02Vdg3jBACfegCn
9c+9OB0XA7oSS98GiWslLnk=
=Z+KZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:55:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:08:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.